using System.Collections.Generic;
using Newtonsoft.Json;

namespace BlizzSharp.Data
{
    //	{"files":[{"url":"http://auction-api-eu.worldofwarcraft.com/auction-data/1488d9d770f41c6da8a4dcaed7138eab/auctions.json","lastModified":1534800577000}]}

    public class AuctionLocatorList
    {
        [JsonProperty("files")]
        public AuctionLocator[] Locators;
    }

    public class AuctionLocator
    {
        [JsonProperty("url")]
        public string Url {get;set;}

        [JsonProperty("lastModified")]
        public long Timestamp {get;set;} 
    }
}